# Fetch a credit note

Retrieve an existing credit note by its ID.

Endpoint: GET /credit-notes/{credit_note_id}
Version: partners-v1
Security: bearerAuth, basicAuth

## Path parameters:

  - `credit_note_id` (string, required)
    ID of the credit note to retrieve

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier for the credit note.
    Example: CNMlaE5wbg0

  - `source` (string)
    Source of the credit note creation.
    Enum: "MERCHANT_USER", "ADMIN_USER", "API"

  - `customer_id` (string)
    ID of the customer associated with the credit note.
    Example: X50sgfRd

  - `merchant_id` (string)
    ID of the sub-merchant this credit note belongs to.
    Example: MER456789

  - `invoice_id` (string)
    ID of the invoice this credit note is associated with.
    Example: PMMlaE5wbg0

  - `created_by_user_id` (string)
    ID of the user who created the credit note.
    Example: USR123456

  - `number` (string)
    Credit note number identifier.
    Example: CN-001

  - `amount` (number)
    Total amount of the credit note.
    Example: 1000

  - `amount_balance` (number)
    Remaining balance to be applied.
    Example: 500

  - `amount_paid` (number)
    Amount that has been applied/paid out.
    Example: 500

  - `amount_voided` (number)
    Amount that has been voided.
    Example: 0

  - `amount_payout` (number)
    Total payout amount for the credit note.
    Example: 1000

  - `amount_payout_balance` (number)
    Remaining payout balance.
    Example: 500

  - `amount_payout_paid` (number)
    Amount that has been paid out.
    Example: 500

  - `credit_note_url` (string)
    The credit note PDF that you've uploaded to Resolve.
    Example: https://www.example.com/credit-note.pdf

  - `resolve_credit_note_url` (string)
    Resolve-issued credit note PDF.
    Example: https://www.example.com/resolve-credit-note.pdf

  - `reason_code` (string)
    The reason code for issuing this credit note.
    Enum: "chargeback", "duplicate", "fraudulent", "requested_by_customer", "missing_remittance", "overpayment_on_invoice", "invoice_was_refunded", "double_payment_on_invoice", "missing_invoice_in_resolve", "credit_transfer", "other"

  - `reason_message` (string)
    Additional details explaining the reason for the credit note.
    Example: Customer returned damaged goods

  - `voided` (boolean)
    Indicates whether the credit note is voided.
    Example: false

  - `voided_at` (string)
    Date the credit note was voided.
    Example: null

## Response 400 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Validation error

  - `error.type` (string)
    A short string, describing error type
    Enum: "validation_error"

  - `error.details` (array)

  - `error.details.path` (string)
    Path to the field failed validation
    Example: path.to.field

  - `error.details.message` (string)
    Detailed description of the error
    Example: `[field]` is required

## Response 401 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Invalid merchant credentials

  - `error.type` (string)
    A short string, describing error type
    Enum: "authentication_error"

## Response 404 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: [entity] not found

  - `error.type` (string)
    A short string, describing error type
    Enum: "not_found_error"

## Response 429 fields (application/json):

  - `error` (object)

  - `error.message` (string)
    A short string, describing error details
    Example: Too many requests

  - `error.type` (string)
    A short string, describing error type
    Enum: "rate_limit_error"

